/***************************************************************************/
/*                                                                         */
/*  CLASS NAME: ResultRow                                                  */
/*  PACKAGE:    System                                                     */
/*  PROJECT:    TimeDB 2.0                                                 */
/*  AUTHOR:     Andreas Steiner                                            */
/*  DATE:       September3, 1999                                           */
/*                                                                         */
/***************************************************************************/
 

public interface ResultRowInterface {

  /*****************************************************/
  /************** PUBLIC INSTANCE METHODS **************/
  /*****************************************************/

  public int getLength(); // Get number of columns in row

  public String getColumnValue(int col); // Returns null if col < 0 or col >= length
  public String getColumnType(int col);  // Returns null if col < 0 or col >= length

}
